Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb
Class ObjectFactory

    org.huihoo.jfox.xmlet.jaxb.ObjectFactory

public class ObjectFactory

This object contains factory methods for each Java content interface and Java element interface generated in the org.huihoo.jfox.xmlet.jaxb package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.huihoo.jfox.xmlet.jaxb

Method Summary
`ArgType` | `createArgType()` Create an instance of ArgType
`AttrType` | `createAttrType()` Create an instance of AttrType
`XMLETS` | `createXMLETS()` Create an instance of XMLETS
`XMLetsType` | `createXMLetsType()` Create an instance of XMLetsType
`XMLetType` | `createXMLetType()` Create an instance of XMLetType
`XMLetType.ARGUMENTSType` | `createXMLetTypeARGUMENTSType()` Create an instance of XMLetTypeARGUMENTSType
`XMLetType.ATTRIBUTESType` | `createXMLetTypeATTRIBUTESType()` Create an instance of XMLetTypeATTRIBUTESType
`java.lang.Object` | `getProperty(java.lang.String name)` Get the specified property.
`java.lang.Object` | `newInstance(java.lang.Class javaContentInterface)` Create an instance of the specified Java content interface.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Set the specified property.

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.huihoo.jfox.xmlet.jaxb

Method Detail

### newInstance

    public java.lang.Object newInstance(java.lang.Class javaContentInterface)
                                 throws javax.xml.bind.JAXBException

  Create an instance of the specified Java content interface.
  Parameters:
    `javaContentInterface` - the Class object of the javacontent interface to instantiate
  Returns:
    a new instance
  Throws:
    `JAXBException` - if an error occurs

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws javax.xml.bind.PropertyException

  Get the specified property. This method can only be used to get provider specific properties. Attempting to get an undefined property will result in a PropertyException being thrown.
  Parameters:
    `name` - the name of the property to retrieve
  Returns:
    the value of the requested property
  Throws:
    `PropertyException` - when there is an error retrieving the given property or value

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws javax.xml.bind.PropertyException

  Set the specified property. This method can only be used to set provider specific properties. Attempting to set an undefined property will result in a PropertyException being thrown.
  Parameters:
    `name` - the name of the property to retrieve
    `value` - the value of the property to be set
  Throws:
    `PropertyException` - when there is an error processing the given property or value

### createXMLetTypeATTRIBUTESType

    public XMLetType.ATTRIBUTESType createXMLetTypeATTRIBUTESType()
                                                           throws javax.xml.bind.JAXBException

  Create an instance of XMLetTypeATTRIBUTESType
  Throws:
    `JAXBException` - if an error occurs

### createXMLetsType

    public XMLetsType createXMLetsType()
                                throws javax.xml.bind.JAXBException

  Create an instance of XMLetsType
  Throws:
    `JAXBException` - if an error occurs

### createXMLETS

    public XMLETS createXMLETS()
                        throws javax.xml.bind.JAXBException

  Create an instance of XMLETS
  Throws:
    `JAXBException` - if an error occurs

### createArgType

    public ArgType createArgType()
                          throws javax.xml.bind.JAXBException

  Create an instance of ArgType
  Throws:
    `JAXBException` - if an error occurs

### createAttrType

    public AttrType createAttrType()
                            throws javax.xml.bind.JAXBException

  Create an instance of AttrType
  Throws:
    `JAXBException` - if an error occurs

### createXMLetType

    public XMLetType createXMLetType()
                              throws javax.xml.bind.JAXBException

  Create an instance of XMLetType
  Throws:
    `JAXBException` - if an error occurs

### createXMLetTypeARGUMENTSType

    public XMLetType.ARGUMENTSType createXMLetTypeARGUMENTSType()
                                                         throws javax.xml.bind.JAXBException

  Create an instance of XMLetTypeARGUMENTSType
  Throws:
    `JAXBException` - if an error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD